<?php
// look up for the path
require_once(dirname(__FILE__).'/wpload.php');
require_once(ABSPATH.'wp-admin/admin.php');
?>
<!DOCTYPE html>
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>插入应用</title>
<script type="text/javascript" src= "<?php get_bloginfo('wpurl');?>/wp-includes/js/tinymce/tiny_mce_popup.js"></script>
<?php
    wp_enqueue_style( 'colors');
    do_action('admin_print_styles');
    do_action('admin_print_scripts');
?>
<style type="text/css">
  .aw-wrap{padding: 15px; background: #fff; min-height: 433px;}
  .aw-search-wrap{ border: 1px solid #dfdfdf; padding: 10px 140px; margin-bottom: 15px;}
  .loading{margin:20px auto; width: 140px}
  .aw-iframe-preview{border-top:1px solid #dfdfdf; padding:15px 5px 5px 5px; }
</style>
</head>
<body>
<div class="aw-wrap">
  <div class="aw-search-wrap">
      <input  id="searchBox" size="50" type="search" autocomplete="off" placeholder="搜索软件/游戏" value="" required=""/>&nbsp;
      <button class="button" id="searchBtn" type="button">搜索</button>
  </div>
    <p class="loading" style="display:none">努力搜索中.....</p>
    <div id="media-items">
      <div class="media-item ">
        <img class="pinkynail" src="http://appchina.com/icon/com.yingyonghui.market"  alt="">
        <a class="toggle describe-toggle-on" href="#">显示</a>
        <a class="toggle describe-toggle-off" href="#">隐藏</a>
        <div class="filename new"><span class="title">appchina应用汇</span></div>
        <input type="hidden" value="com.yingyonghui.market">
      </div>
      <div class="media-item ">
        <img class="pinkynail" src="http://appchina.com/icon/com.qiuqiu.sou"  alt="">
        <a class="toggle describe-toggle-on" href="#">显示</a>
        <a class="toggle describe-toggle-off" href="#">隐藏</a>
        <div class="filename new"><span class="title">球球搜</span></div>
        <input type="hidden" value="com.qiuqiu.sou">
      </div>
    </div>
</div>
<script type="text/javascript">
jQuery(function(){
 var html = '<div class="aw-iframe-preview"><div style="margin-bottom: 15px;"><label>选择样式:</label> <label><input type="radio" name="optionsRadios" id="optionsRadios3" value="3" checked="checked"> 通栏式</label> <label><input type="radio" name="optionsRadios" id="optionsRadios1" value="1"> 经典式</label> <label><input type="radio" name="optionsRadios" id="optionsRadios2" value="2"> 现代式</label> <label><input type="radio" name="optionsRadios" id="optionsRadios4" value="4"> 按钮式</label> <input id="insertBtn" type="submit" style="float: right;" class="button-primary" value="插入到文章" /></div><div id="previewBox"><iframe id="previewIframe" frameborder="0" scrolling="no"></iframe></div></div>'	
 //绑定回车键
 jQuery(document).keydown(function(e){
    if(e.keyCode == 13) {
      jQuery('#searchBtn').click();
      }
  });
  //搜索
  jQuery('#searchBtn').click(function(){
    var inputVal = jQuery('#searchBox').val();
    if(!inputVal){
      alert('请先输入搜索关键字！')
    }else{
     jQuery.ajax({
          url: "http://i.appchina.com/app/queryp",
          dataType: "jsonp",
          data:{
                 q:inputVal,
                 size:10
                },
          jsonp : 'p',
          crossDomain : true,
          beforeSend:function(){
            jQuery('.loading').show();
          },
          complete:function(){
            jQuery('.loading').hide();
          },
          success: function(data){
            console.log(data);
            jQuery('#media-items').html('');
            jQuery(data).each(function(i){
              var data_html = '<li>'+data[i].name+'</li>';
              var data_html ='<div class="media-item "><img class="pinkynail" src="http://appchina.com/icon/'+data[i].packageName+'"  alt=""><a class="toggle describe-toggle-on" href="#">显示</a><a class="toggle describe-toggle-off" href="#">隐藏</a><div class="filename new"><span class="title">'+data[i].name+'</span></div><input type="hidden" id="'+data[i].id+'" value="'+data[i].packageName+'"></div>'
              jQuery('#media-items').append(data_html);
            });
          }
      });
    };
  });
  //展开预览widget
  jQuery('.toggle:contains("显示")').live('click',function(){
      var pn = jQuery(this).siblings("input[type='hidden']").val();
      jQuery(this).parent().siblings().find('.aw-iframe-preview').remove();
      jQuery(this).parent().siblings().find('.describe-toggle-off').hide();
      jQuery(this).parent().siblings().find('.describe-toggle-on').show();
      jQuery(this).hide();
      jQuery(this).siblings('a').show();
      jQuery(this).parent().append(html);
      jQuery("#previewIframe").attr({
              height: "125px",
              width: "100%",
              src:"http://i.appchina.com/widget/"+pn+"/3"
            });
      jQuery("body").animate({scrollTop: jQuery(this).parent().offset().top},500);
      return false;
  });
  //隐藏预览widget
  jQuery('.toggle:contains("隐藏")').live('click',function(){
      jQuery(this).hide();
      jQuery(this).siblings('a').show();
      jQuery(this).parent().find('.aw-iframe-preview').remove();
      return false;
  });
  //选择样式
  jQuery("input[name='optionsRadios']").live('change',function(){
    var pn = jQuery(this).parents().find("input[type='hidden']").val();
    var type = jQuery('input:checked').val();
     switch (type) {
          case '1': 
              jQuery("#previewIframe").attr({
                height: "135px",
                width: "320px",
                src:"http://i.appchina.com/widget/"+pn+"/1"
              }); 
            break;
          case '2':
              jQuery("#previewIframe").attr({
                height: "245px",
                width: "200px",
                src:"http://i.appchina.com/widget/"+pn+"/2"
              });
            break;
          case '3':
              jQuery("#previewIframe").attr({
                height: "125px",
                width: "100%",
                src:"http://i.appchina.com/widget/"+pn+"/3"
              });
            break;
          case '4':
              jQuery("#previewIframe").attr({
                height: "130px",
                width: "190px",
                src:"http://i.appchina.com/widget/"+pn+"/4"
              });
            break;
        } 
  });
  //插入到文章
  jQuery('#insertBtn').live('click',function(){
    AppWidgetDialog.insert(AppWidgetDialog.local_ed);
    return false;
  });
});
//tinymce
var AppWidgetDialog = {
  local_ed: 'ed',
  init: function ( ed ) {
    AppWidgetDialog.local_ed = ed;
    tinyMCEPopup.resizeToInnerSize ();
  },
  insert: function insertHighlightSection ( ed ) {
    try {
      var output = document.getElementById('previewBox').innerHTML;
      AppWidgetDialog.local_ed.selection.setContent ( output );
      tinyMCEPopup.close ();
    }
    catch ( e ) {
      alert ( e );
    }
  }
};
tinyMCEPopup.onInit.add ( AppWidgetDialog.init, AppWidgetDialog );
</script>
</body>
</html>